import { useState } from 'react';
export function useOptions({ options, initial }) {
    const [selectOptions, setSelectOptions] = useState(options.map(option => ({
        label: option.label,
        value: option.value,
        checked: [option.value, option.label].some(v => initial.includes(v)),
    })));
    return { selectOptions, setSelectOptions };
}
//# sourceMappingURL=useOptions.js.map