import React from 'react';
import { Box } from 'ink';
import Checkbox from 'ink-checkbox';
export const Column = props => {
    const { columnNo, options, focusedIndex, onChanged, onSubmitted } = props;
    return (React.createElement(Box, { key: columnNo, flexDirection: "column" }, options.map(option => (React.createElement(Checkbox, { key: option.value, label: option.label, focused: focusedIndex === options.indexOf(option), onChanged: onChanged, onSubmitted: onSubmitted })))));
};
//# sourceMappingURL=column.js.map