import { useStdoutDimensions } from './useStdoutDimensions.js';
export function useDynamicColumn(options, column) {
    const { columns } = useStdoutDimensions();
    const columnCount = column === 'auto' ? Math.round(columns / 40) : column;
    const columnItemCount = Math.round(options.length / columnCount);
    return {
        columnCount,
        columnItemCount,
    };
}
//# sourceMappingURL=useDynamicColumn.js.map